## RygelXMLUtils

RygelXMLUtils — XML utility API.

## Functions

#define | RYGEL_TYPE_XML_UTILS
RygelXMLUtils * | rygel_xml_utils_new ()
xmlNode * | rygel_xml_utils_get_element ()
gpointer | rygel_xml_utils_ref ()
void | rygel_xml_utils_unref ()
GParamSpec * | rygel_param_spec_xml_utils ()
void | rygel_value_set_xml_utils ()
gpointer | rygel_value_get_xml_utils ()
void | rygel_value_take_xml_utils ()

## Types and Values

struct | RygelXMLUtils
struct | RygelXMLUtilsClass

## Object Hierarchy

        RygelXMLUtils

## Description

## Functions

### RYGEL_TYPE_XML_UTILS

    #define RYGEL_TYPE_XML_UTILS (rygel_xml_utils_get_type ())

The type for RygelXMLUtils.

### rygel_xml_utils_new ()

    RygelXMLUtils *
    rygel_xml_utils_new (void);

### rygel_xml_utils_get_element ()

    xmlNode *
    rygel_xml_utils_get_element (xmlNode *node,
                                 ...);

#### Parameters

node |  |
... |  |

### rygel_xml_utils_ref ()

    gpointer
    rygel_xml_utils_ref (gpointer instance);

Increases the reference count of `object` .

#### Parameters

instance | a RygelXMLUtils. |

#### Returns

the same `object`

### rygel_xml_utils_unref ()

    void
    rygel_xml_utils_unref (gpointer instance);

Decreases the reference count of `object` . When its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

instance | a RygelXMLUtils. |

### rygel_param_spec_xml_utils ()

    GParamSpec *
    rygel_param_spec_xml_utils (const gchar *name,
                                const gchar *nick,
                                const gchar *blurb,
                                GType object_type,
                                GParamFlags flags);

Creates a new GParamSpecBoxed instance specifying a `RYGEL_TYPE_XML_UTILS` derived property.

See ``g_param_spec_internal()`` for details on property names.

#### Parameters

name | canonical name of the property specified |
nick | nick name for the property specified |
blurb | description of the property specified |
object_type | `RYGEL_TYPE_XML_UTILS` derived type of this property |
flags | flags for the property specified |

### rygel_value_set_xml_utils ()

    void
    rygel_value_set_xml_utils (GValue *value,
                               gpointer v_object);

Set the contents of a `RYGEL_TYPE_XML_UTILS` derived GValue to `v_object` .

`rygel_value_set_xml_utils()` increases the reference count of `v_object` (the GValue holds a reference to `v_object`). If you do not wish to increase the reference count of the object (i.e. you wish to pass your current reference to the GValue because you no longer need it), use `rygel_value_take_xml_utils()` instead.

It is important that your GValue holds a reference to `v_object` (either its own, or one it has taken) to ensure that the object won't be destroyed while the GValue still exists).

#### Parameters

value | a valid GValue of `RYGEL_TYPE_XML_UTILS` derived type |
v_object | object value to be set |

### rygel_value_get_xml_utils ()

    gpointer
    rygel_value_get_xml_utils (const GValue *value);

Get the contents of a `RYGEL_TYPE_XML_UTILS` derived GValue.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_XML_UTILS` derived type |

#### Returns

object contents of `value`

### rygel_value_take_xml_utils ()

    void
    rygel_value_take_xml_utils (GValue *value,
                                gpointer v_object);

Sets the contents of a `RYGEL_TYPE_XML_UTILS` derived GValue to `v_object` and takes over the ownership of the callers reference to `v_object` ; the caller doesn't have to unref it any more (i.e. the reference count of the object is not increased).

If you want the GValue to hold its own reference to `v_object` , use `rygel_value_set_xml_utils()` instead.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_XML_UTILS` derived type |
v_object | object value to be set |

## Types and Values

### struct RygelXMLUtils

    struct RygelXMLUtils;

XML utility API.

### struct RygelXMLUtilsClass

    struct RygelXMLUtilsClass {
    	GTypeClass parent_class;
    	void (*finalize) (RygelXMLUtils *self);
    };

The class structure for `RYGEL_TYPE_XML_UTILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

GTypeClass `parent_class`; | the parent class structure |
`finalize` () |  |